import Vue from "vue/dist/vue";
import App from "./components/app/app.component.vue";
import AsyncComputed from "vue-async-computed";
import Vuetify from "vuetify";
import VueRouter from "vue-router";
import AppInitializer from "services/initializer";

Vue.use(AsyncComputed);
Vue.use(Vuetify);
Vue.use(VueRouter);

new Vue({
    el: "#app",
    template: "<v-app><App/></v-app>",
    components: {
        App
    },
    router: new VueRouter(),
    beforeCreate: async function()
    {
        await AppInitializer.init();
    },
    mounted: function()
    {
        this.$nextTick(function() {
            nw.Window.get().show();
        });
    }
});