import Collection from "marsdb";
import LocalForageManager from "marsdb-localforage";

Collection.defaultStorageManager(LocalForageManager);

let collections = {};

export default
{
    /**
     * Get collection object
     * @param {string} name
     * @returns {Collection}
     */
    getCollection: function(name)
    {
        if (collections[name] === undefined) {
            collections[name] = new Collection(name);
        }
        return collections[name];
    }
};